QGIS Application - Bug report #9768
Error in processing Extract by attribute algorithm
2014-03-12 06:30 AM - Samuel Fernando Mesa Giraldo

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18310
Description

Extract by attribute algorithm in Processing reports the following error:

Uncaught error while executing algorithm
Traceback (most recent call last):
Traceback (most recent call last):
File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 202, in execute
self.processAlgorithm(progress)
File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\algs\\mmaqgisx\MMQGISXAlgorithms.py", line 1150, in
processAlgorithm
output = self.getOutputFromName(self. OUTPUT)
AttributeError: mmqgisx_extract_algorithm instance has no attribute 'OUTPUT'

| think you should change the line in 1149 [1] by:

output = self.getOutputFromName (self. RESULT)

(1]

https://github.com/qgis/QGIS/blob/021¢c7e60777339d656f22c984b9d7af2{6382636/python/plugins/processing/algs/mmqgisx MMQGIS
Algorithms.py#L1149

Associated revisions

Revision 4ffdef48 - 2014-03-25 03:33 PM - Alexander Bruy

[processing] fix MMQGIS Extract by attribute (fix #9768)

History

#1 - 2014-03-15 10:31 AM - Samuel Fernando Mesa Giraldo
- File patch-mmaqgisx-extract_by _attribute.patch added

Attached the patch changes.

#2 - 2014-03-25 07:58 AM - Alexander Bruy
- Status changed from Open to Closed
https://github.com/qgis/QGIS/blob/021c7e60777339d656f22c984b9d7af2f6382636/python/plugins/processing/algs/mmqgisx/MMQGISXAlgorithms.py#L1149
https://github.com/qgis/QGIS/blob/021c7e60777339d656f22c984b9d7af2f6382636/python/plugins/processing/algs/mmqgisx/MMQGISXAlgorithms.py#L1149

Fixed in changeset commit:"4ffdef489367e34080ac43755a92554b4bfbdf23".

#3 - 2015-06-07 04:30 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core

Files

patch-mmaqgisx-extract_by_attribute.patch 564 Bytes 2014-03-15 Samuel Fernando Mesa Giraldo
